
QGIS Application - Bug report #18763

BUG round  function crash 

2018-04-19 10:52 AM - Andrew Shanin

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.18.17 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26650

Description

round(0+y(centroid(  $geometry )),2) || '  '|| round(x(centroid(  $geometry )) ,2) - work OK : 5869069.18  2313414.94

round(0+y(centroid(  $geometry )),2) || '  '|| round(x(centroid(  $geometry )) ,3) - work with problems - '5869069.18  -2147483.648'

Just check it out

History

#1 - 2019-01-21 12:35 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-02-11 12:22 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
